Minion::Util(3pm)

NAME
Minion::Util - Minion utility functions

SYNOPSIS
  use Minion::Util qw(desired_tasks);

DESCRIPTION
Minion::Util provides utility functions for Minion.

FUNCTIONS
Minion::Util implements the following functions, which can be imported individually.

  desired_tasks
  my $desired_tasks = desired_trasks $limits, $available_tasks, $active_tasks;

Enforce limits and generate list of currently desired tasks.

  # ['bar']
  desired_trasks {foo => 2}, ['foo', 'bar'], ['foo', 'foo'];

SEE ALSO
Minion, Minion::Guide, <https://minion.pm>, Mojolicious::Guides, <https://mojolicious.org>.